/************************************************************************/
/*	Copyright (C) 2004  Michael C. Shultz				*/
/*									*/
/* This program is free software; you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License, or (at*/
/* your option) any later version.					*/
/*									*/
/* This program is distributed in the hope that it will be useful,	*/
/* but WITHOUT ANY WARRANTY; without even the implied warranty of	*/
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	*/
/* GNU General Public License for more details. 			*/
/*									*/
/* You should have received a copy of the GNU General Public License	*/
/* along with this program; if not, write to the Free Software		*/
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA		*/
/*  02111-1307, USA.							*/
/* 									*/
/* Michael C. Shultz							*/
/* ringworm01@gmail.com							*/
/* Box 3238 Landers, CA 92285						*/
/************************************************************************/

#include	<libMG.h>

int	MGrInStringSwap( char* originalString, char* oldString, char* newString )
{
	char*			Buffer			= NULL;
	unsigned	int	stringLength		= 0;
	unsigned	int	stringLengthLeft	= 0;
	unsigned	int	stringLengthNew 	= 0;
	int			stringLengthRight	= 0;
	int			stringLengthNewTag	= 0;
	int			stringLengthOldTag	= 0;

	stringLength		= strlen( originalString );

	if( !( strnstr( originalString, oldString, stringLength ) ) )
	{
		return( 1 );
	}
	stringLengthLeft	= strnstr( originalString, oldString, stringLength ) - originalString;
	stringLengthRight	= stringLength - ( stringLengthLeft + strlen( oldString ) );
	stringLengthNewTag	= strlen( newString );
	stringLengthNew 	= stringLengthLeft + stringLengthNewTag + stringLengthRight;
	stringLengthOldTag	= strlen( oldString );
	Buffer	= ( char* )malloc( stringLengthNew + 1 );
	strncpy( Buffer, originalString, stringLengthLeft );	
	Buffer[ stringLengthLeft ]	= 0;
	strncat( Buffer, newString, strlen(newString)+1 );
	strncat( Buffer,
		originalString + stringLengthLeft + stringLengthOldTag,
		strlen(originalString + stringLengthLeft + stringLengthOldTag)+1 );
	strncpy( originalString, Buffer, strlen(Buffer)+1 );
	free( Buffer );
	return( 0 );
}
