/************************************************************************/
/*	Copyright (C) 2004  Michael C. Shultz				*/
/*									*/
/* This program is free software; you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License, or (at*/
/* your option) any later version.					*/
/*									*/
/* This program is distributed in the hope that it will be useful,	*/
/* but WITHOUT ANY WARRANTY; without even the implied warranty of	*/
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	*/
/* GNU General Public License for more details. 			*/
/*									*/
/* You should have received a copy of the GNU General Public License	*/
/* along with this program; if not, write to the Free Software		*/
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA		*/
/*  02111-1307, USA.							*/
/* 									*/
/* Michael C. Shultz							*/
/* ringworm01@gmail.com							*/
/* Box 3238 Landers, CA 92285						*/
/************************************************************************/
#include        <libMG.h>

int	MGrStripComment( char* buffer, char delimiter )
{
	char*	CommentStart;
	char*	CommentStop;
	int	bufferSize	= 0;
	if( ( CommentStart = strchr(  buffer, delimiter ) ) != NULL )
	{
		CommentStop = strchr( CommentStart, '\n' ) + 1;
		if( CommentStop == (char*)1 )
		{
			fprintf( stderr, "error: stripComment can't find a line feed\n" );
			return( 0 );
		}
		strncpy( CommentStart+1, CommentStop, strlen(CommentStop) + 1 );
		CommentStart[0] = '\n';
		bufferSize = strlen( buffer );
		return( bufferSize );
	}
	return( 0 );
}
