/************************************************************************/
/*	Copyright (C) 2004  Michael C. Shultz				*/
/*									*/
/* This program is free software; you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License, or (at*/
/* your option) any later version.					*/
/*									*/
/* This program is distributed in the hope that it will be useful,	*/
/* but WITHOUT ANY WARRANTY; without even the implied warranty of	*/
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	*/
/* GNU General Public License for more details. 			*/
/*									*/
/* You should have received a copy of the GNU General Public License	*/
/* along with this program; if not, write to the Free Software		*/
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA		*/
/*  02111-1307, USA.							*/
/* 									*/
/* Michael C. Shultz							*/
/* ringworm01@gmail.com							*/
/* Box 3238 Landers, CA 92285						*/
/************************************************************************/
#ifndef __LIBMG_PH__
#define __LIBMG_PH__	1

typedef struct
{
	char*		nullRecord;
	char*		path;
	int		bof;
	int		eof;
	int		recordIdx;
	int		recordQty;
	int		type;
	signed int	fopenIdx;	/* qty of fopens - fcloses since obj created */
	signed int	mallocIdx;	/* qty of malloc - frees since obj created */
} classMG;

struct  classDir
{
	classMG		parent;

	char**		record;
};

struct  classDb
{
	classMG		parent;

	char***		record;
	int		fieldIdx;
	int		fieldQty;
	char*		dataBuffer;
};

#endif
